package com.adealink.weparty.room.chatroom

import androidx.fragment.app.Fragment
import androidx.fragment.app.FragmentActivity
import com.adealink.weparty.room.chatroom.page.dispatchcenter.DispatchCenterRoomPageFragment

enum class ChatRoomPage(val tag: String, val init: (activity: FragmentActivity, callback: (page: Fragment?) -> Unit) -> Unit) {
    DISPATCH_CENTER("dispatch_center", { _, callback ->
        callback.invoke(DispatchCenterRoomPageFragment.newInstance())
    }),
}